Bug 31652 - Calc: operation of delete- and backspace-keys are interchanged, help needs update
Summary: Calc: operation of delete- and backspace-keys are interchanged, help needs up...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: David Nelson
URL:
Whiteboard:
Keywords:
Depends on: 38691
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-16 00:13 UTC by D. Szoska
Modified: 2012-05-09 10:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows current Help text (18.10 KB, image/png)
2010-11-16 06:51 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description D. Szoska 2010-11-16 00:13:00 UTC
The delete-key doesn't show the "delete contents"-dialog as explained in the help and like it works in OpenOffice. Instead it works like the backspace-key.

Instead the backspace-key works like the delete-key - it shows the "delete contents"-dialog.
Comment 1 Rainer Bielefeld Retired 2010-11-16 02:56:39 UTC
[Reproducible] with "LibreOffice 3.3.0 - WIN XP DE [OOO330m9 (Build:1 - build 3.2.99.2)]": Backspace Button brings up Delete Button dialog when  try to delete cell or cell range.
Comment 2 Kohei Yoshida 2010-11-16 04:55:06 UTC
This change is intentional.  If you need the old OOo legacy key bindings, go to Tools - Options - Calc - Compatibility, and set the key binding type to 'OOo legacy'.
Comment 3 Rainer Bielefeld Retired 2010-11-16 06:46:48 UTC
Why intentional? 
The current behaviour is not the one described in Help. Additionally Menu 
'Edit -> Delete Contents' shows "Del" as appropriate key

Concerning the workaround: My LibO Beta2 does not have a Submenu 'Compatibility'

So it seems something is incomplete here in my version?
Comment 4 Rainer Bielefeld Retired 2010-11-16 06:51:20 UTC
Created attachment 40307 [details]
Shows current Help text

I can live with the current behaviour, but menu hints and Help should be correct. So this might be a Help / UI bug?
Comment 5 Kohei Yoshida 2010-11-16 07:04:28 UTC
(In reply to comment #4)
> Created an attachment (id=40307) [details]
> Shows current Help text
> 
> I can live with the current behaviour, but menu hints and Help should be
> correct. So this might be a Help / UI bug?

Yes, help needs to be updated.

BTW, the delete key behavior was one of the *biggest* show stoppers among *many* users and businesses that we have come across, hence the change.
Comment 6 Kohei Yoshida 2010-11-16 07:13:22 UTC
(In reply to comment #3)

> Concerning the workaround: My LibO Beta2 does not have a Submenu
> 'Compatibility'

Ah, yes.  That page was added shortly after the source tree was tagged for beta2.  Sorry I forgot to mention that. :-P

It should be in the beta3 build.
Comment 7 Kohei Yoshida 2010-11-16 07:16:33 UTC
I'll refer you to the following blog post of mine for more info.

http://kohei.us/2010/10/15/key-binding-compatibility-options-take-2/
Comment 8 Thorsten Behrens (CIB) 2010-11-17 09:09:03 UTC
With the config page fixed in beta3 (available shortly), let's keep this bug for the help update - Kohei, can you do that yourself? Otherwise, please point to this on the documentation@libreoffice.org list.
Comment 9 Kohei Yoshida 2010-11-24 13:08:29 UTC
Re-assigning to David.  This is a documentation issue.
Comment 11 Andras Timar 2011-07-28 02:08:09 UTC
will ship in 3.4.3, thanks
Comment 12 David Nelson 2011-07-28 05:56:05 UTC
Apologies for the tardy response. Even though marked resolved, I'll still keep this bug bookmarked in my mail for future action, so as to review the texts provided. Thanks for your work on this.
Comment 13 Not Assigned 2012-05-09 09:57:36 UTC
Korrawit Pruegsanusak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=abbbe57b0f8bd5c5b306a76d5d916da1d02cbc27

fdo#31652: More Delete and Backspace swap for Delete Contents dialog